Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ShadowPlacer Class Reference
Inheritance diagram for ShadowPlacer:

## Public Member Functions
| __init__ (self, cTrav, shadowNodePath, wallCollideMask, floorCollideMask)
| debugDisplay (self)
| delete (self)
| off (self)
| on (self)
| oneTimeCollide (self)
| resetToOrigin (self)
| setup (self, cTrav, shadowNodePath, wallCollideMask, floorCollideMask)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| cRay = CollisionRay(0.0, 0.0, CollisionHandlerRayStart, 0.0, 0.0, -1.0)
| cRayBitMask = floorCollideMask
| cRayNodePath = NodePath(cRayNode)
| cTrav = cTrav
int | isActive = 0
| lifter = CollisionHandlerFloor()
| shadowNodePath = shadowNodePath

## Static Public Attributes
int | activeCount = 0
int | count = 0
| notify = DirectNotifyGlobal.directNotify.newCategory("ShadowPlacer")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cTrav,
|  |  | shadowNodePath,
|  |  | wallCollideMask,
|  |  | floorCollideMask )

## Member Function Documentation

## ◆ debugDisplay()

debugDisplay | ( |  | self | ) |

    for debugging

## ◆ delete()

delete | ( |  | self | ) |

## ◆ off()

off | ( |  | self | ) |

    Turn off the shadow placement.  The shadow will still be
    there, but the z position will not be updated until a call
    to on() is made.

## ◆ on()

on | ( |  | self | ) |

    Turn on the shadow placement.  The shadow z position will
    start being updated until a call to off() is made.

## ◆ oneTimeCollide()

oneTimeCollide | ( |  | self | ) |

    Makes one quick collision pass for the avatar, for instance as
    a one-time straighten-things-up operation after collisions
    have been disabled.

## ◆ resetToOrigin()

resetToOrigin | ( |  | self | ) |

## ◆ setup()

setup | ( |  | self,
|  |  | cTrav,
|  |  | shadowNodePath,
|  |  | wallCollideMask,
|  |  | floorCollideMask )

    Set up the collisions

## Member Data Documentation

## ◆ activeCount

activeCount = 0
| static

## ◆ count

int count = 0
| static

## ◆ cRay

cRay = CollisionRay(0.0, 0.0, CollisionHandlerRayStart, 0.0, 0.0, -1.0)

## ◆ cRayBitMask

cRayBitMask = floorCollideMask

## ◆ cRayNodePath

cRayNodePath = NodePath(cRayNode)

## ◆ cTrav

cTrav = cTrav

## ◆ isActive

int isActive = 0

## ◆ lifter

lifter = CollisionHandlerFloor()

## ◆ notify

notify = DirectNotifyGlobal.directNotify.newCategory("ShadowPlacer")
| static

## ◆ shadowNodePath

shadowNodePath = shadowNodePath